package server

import (
	"backea/internal/backup"
	"backea/internal/web/routes"

	"github.com/labstack/echo/v4"
	"github.com/labstack/echo/v4/middleware"
)

// New creates a new configured Echo server
func New(factory *backup.BackupFactory) *echo.Echo {
	e := echo.New()

	// Add middleware
	e.Use(middleware.Logger())
	e.Use(middleware.Recover())

	// Setup static file serving
	e.Static("/static", "static")

	// Register routes
	routes.RegisterRoutes(e, factory)

	return e
}
